# AWS公式のDockerイメージを利用
FROM public.ecr.aws/lambda/python:3.12

ENV TZ="Asia/Tokyo"

# pythonの標準出力をバッファリングしないフラグ
ENV PYTHONUNBUFFERED=1
# pythonのバイトコードを生成しないフラグ
ENV PYTHONDONTWRITEBYTECODE=1

# 必要なファイルをイメージにコピー
COPY Pipfile Pipfile.lock ./

# ライブラリインストール
RUN pip install pipenv --no-cache-dir && \
    pipenv install --system --deploy && \
    pip uninstall -y pipenv virtualenv-clone virtualenv
COPY check-view-option ./

# lambdaハンドラを起動
CMD [ "main.handler" ]
